# Uses of Class
javax.sound.sampled.Control

Packages that use Control
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of Control in javax.sound.sampled

Subclasses of Control in javax.sound.sampled
Modifier and Type
Class
Description
`class`
`BooleanControl`
A `BooleanControl` provides the ability to switch between two possible settings that affect a line's audio.
`class`
`CompoundControl`
A `CompoundControl`, such as a graphic equalizer, provides control over two or more related properties, each of which is itself represented as a `Control`.
`class`
`EnumControl`
An `EnumControl` provides control over a set of discrete possible values, each represented by an object.
`class`
`FloatControl`
A `FloatControl` object provides control over a range of floating-point values.
Methods in javax.sound.sampled that return Control
Modifier and Type
Method
Description
`Control`
Line.`getControl(Control.Type control)`
Obtains a control of the specified type, if there is any.
`Control[]`
Line.`getControls()`
Obtains the set of controls associated with this line.
`Control[]`
CompoundControl.`getMemberControls()`
Returns the set of member controls that comprise the compound control.
Constructors in javax.sound.sampled with parameters of type Control
Modifier
Constructor
Description
`protected`
`CompoundControl(CompoundControl.Type type, Control[] memberControls)`
Constructs a new compound control object with the given parameters.